Package org.zkoss.zk.ui.metainfo

## Class HeaderInfo

- java.lang.Object
- - org.zkoss.zk.ui.metainfo.HeaderInfo

-     public class HeaderInfo
      extends java.lang.Object

  Represents a header element, such as <?link> and <?meta> directives on the ZUML page. They are usually represented as directives in ZUML. For example, the link and meta directives represent <link> and <meta> HTML tags, respectively.

  Notice

  - Directives are evaluated before all other tags. Thus, it is not possible to set a value in zscript and then reference it in an attribute of the directive.
  - If a page is included by another page with the instant mode (`Include.getMode()`), the directives will be ignored.
  - EL is allowed for every attribute.
  - Since 5.0.0, the if and unless attributes are supported.

  It is not serializable.

  Author:
    tomyeh
  See Also:
    `ResponseHeaderInfo`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HeaderInfo​(java.lang.String name, java.util.Map<java.lang.String,​java.lang.String> attrs, ConditionImpl cond)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Returns the tag name of this header element.
    `java.lang.String` | `toHTML​(PageDefinition pgdef, Page page)` | Returns as HTML tag(s) representing this header element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderInfo

          public HeaderInfo​(java.lang.String name,
                            java.util.Map<java.lang.String,​java.lang.String> attrs,
                            ConditionImpl cond)

      Constructor.

      Note: it detects the href attribute (from the attrs argument), and encodes it with `Executions.encodeURL(java.lang.String)`.

      Parameters:
        `name` - the tag name, such as link (never null or empty).
        `attrs` - a map of (String, String) attributes.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the tag name of this header element.

    - #### toHTML

          public java.lang.String toHTML​(PageDefinition pgdef,
                                         Page page)

      Returns as HTML tag(s) representing this header element.
      Parameters:
        `page` - the page containing this header element. It is used to evaluate EL expression, if any, contained in the value.
      Since:
        6.0.0